summaryrefslogtreecommitdiff
path: root/dev-python/aiostream
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/aiostream
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/aiostream')
-rw-r--r--dev-python/aiostream/Manifest1
-rw-r--r--dev-python/aiostream/aiostream-0.7.1.ebuild36
-rw-r--r--dev-python/aiostream/metadata.xml10
3 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/aiostream/Manifest b/dev-python/aiostream/Manifest
new file mode 100644
index 000000000000..5b0f515a5c56
--- /dev/null
+++ b/dev-python/aiostream/Manifest
@@ -0,0 +1 @@
+DIST aiostream-0.7.1.gh.tar.gz 46944 BLAKE2B f081eb96125ce4e5ccf77dcff6eedbba7c9a2a643ba1dde19139232b16b9be34a7803135d52857d2cd4a921da37441b040affe790a0a18dcf289bffe74e97229 SHA512 2859e6781a133fce70e9ba3af0f021b05f35b975298341400161ac0d1e4b884b93ad0f423beb4cd4bcc97c9f2050cd32f6fb9f6f55cee34ad1a9aeb14e549d09
diff --git a/dev-python/aiostream/aiostream-0.7.1.ebuild b/dev-python/aiostream/aiostream-0.7.1.ebuild
new file mode 100644
index 000000000000..c73dbdc32522
--- /dev/null
+++ b/dev-python/aiostream/aiostream-0.7.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Generator-based operators for asynchronous iteration"
+HOMEPAGE="
+ https://pypi.org/project/aiostream/
+ https://github.com/vxgmichel/aiostream/
+"
+SRC_URI="
+ https://github.com/vxgmichel/aiostream/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov aiostream::' \
+ pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/aiostream/metadata.xml b/dev-python/aiostream/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/aiostream/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>